Upgrade Telon from 2.x and above to Telon 5.1

Document ID : KB000017990
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

Can I upgrade easily from CA-Telon 2.x and above to CA-Telon 5.1?

Solution:

If you plan a single cutover from 2.x 3.0(PWS only) 4.x or R5.0, all you need to do is bring up your current TDF database with a CA-Telon 5.1 Loadlib.(CAWLLOAD).

If you plan to upgrade in stages(e.g., one application at a time), we recommend you do one of two things:

Import any IMS/DB databases or SQL tables you will need to reference from their respective catalogs, then export the programs you wish to upgrade from the old set of TDF database files and import them into the new database; or

Transport the programs you wish to upgrade from the old set of TDF database files using the AUTOREF option, then import them into the new database with AUTOMERGE.

Note: Once you do access a TDF database with a new release, you cannot bring it up with the load library of a previous release. CA-Telon is upward compatible, but not downward compatible.